/* xsum.h */

#include <stdio.h>
#include <string.h>
#include <math.h>

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/cursorfont.h>
#include <X11/Xaw/Form.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Label.h>
#include <X11/Xaw/Dialog.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/SimpleMenu.h>
#include <X11/Xaw/MenuButton.h>
#include <X11/Xaw/SmeBSB.h>
#include <X11/Xaw/Viewport.h>

/* include files for the pixmaps */
#include "hstripes.bm"
#include "vstripes.bm"
#include "rslant.bm"
#include "lslant.bm"
#include "check.bm"


#define MAXNUMPROCS   50
#define MAXNUMSTATES  50
#define MAXSTRLEN     40
#define MAXCANVASSIZE 2000
#define CANVAS_WIDTH  500
#define TRUE 	      1
#define FALSE         0


typedef unsigned long timevar;


struct statetype{
    int state_num;
    int entry;
    int exit;
    char color[MAXSTRLEN];
    char note[MAXSTRLEN];
};

struct sum{
    int state_num;
    float percent;
    timevar entry_time;
    timevar total_time;
};

struct rbd{
    int x_start,
	y_start,
	x_last,
	y_last;
};


void start_rubber_band();
void track_rubber_band();
void end_rubber_band();


/* end */
